Summary: Dulog
Name: dulog
Version: 0.2.5
Release: 2
Copyright: GPL
Group: System Environment/Daemons
Source0: %{name}-%{version}.tar.gz
Source1: dulog.cron
Packager: Seth Vidal <skvidal@phy.duke.edu>
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildArch: noarch

%description
A log analyzer with modular analysis options.

%changelog
* Thu Sep 06 2001 Icon Riabitsev <icon@phy.duke.edu>
- Enhancements to modules: reboots, logins
- Bugfixes to modules: annoy, imp, ipchains
- Added module: iptables by Michael Stenner
- Minor changes to the dulog script

* Mon Aug 20 2001 Icon Riabitsev <icon@phy.duke.edu>
- Bugfixes and enhancements of modules.
- IMP module added by Seth Vidal

* Wed Aug 15 2001 Icon Riabitsev <icon@phy.duke.edu>
- dropped the requirement for dulog-init.sh. Now dulog will see if offset
files are present and if not, then it will initialize them automatically
at the first run, and make a report based on the last 100 lines of each
newly-initialized log (or all of them if lines < 100).
- incorporated log-rotation workarounds. If the file was log-rotated, then
dulog will go out, find the rotated logfile, and append whichever lines
were added to the logfile before it was rotated. This way no log entries
go un-analyzed.
- tweaked some modules and fixed some -z bugs.

* Tue Aug 14 2001 Seth Vidal <skvidal@phy.duke.edu>
- first spec file build

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/dulog
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/var/dulog
mkdir -p $RPM_BUILD_ROOT/usr/lib/dulog/modules
mkdir -p $RPM_BUILD_ROOT/usr/sbin

install -m 755 modules/* $RPM_BUILD_ROOT/usr/lib/dulog/modules/
install -m 644 etc/dulog.conf $RPM_BUILD_ROOT/etc/dulog/
install -m 644 etc/weed.list $RPM_BUILD_ROOT/etc/dulog/
install -m 644 etc/trojans.list $RPM_BUILD_ROOT/etc/dulog/
install -m 644 etc/modules.list $RPM_BUILD_ROOT/etc/dulog/
install -m 755 dulog $RPM_BUILD_ROOT/usr/sbin/
install -m 755 $RPM_SOURCE_DIR/dulog.cron $RPM_BUILD_ROOT/etc/cron.daily/dulog.cron

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/lib/dulog
%dir /usr/lib/dulog/modules
/usr/lib/dulog/modules/*
/usr/sbin/dulog
/etc/cron.daily/dulog.cron
%config %dir /etc/dulog
%config(noreplace)/etc/dulog/*
%dir /var/dulog
%doc doc/*


